This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004294 - [abrt] barry-0.18.3-3.fc18: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files
[abrt] barry-0.18.3-3.fc18: connection.py:651:call_blocking:DBusException: or...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: barry (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathanael Noblet
Fedora Extras Quality Assurance
abrt_hash:30ad2435db94c5e703d1673b5d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 06:56 EDT by Giles Anderson
Modified: 2014-02-05 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:21:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.69 KB, text/plain)
2013-09-04 06:56 EDT, Giles Anderson
no flags Details
File: environ (4.30 KB, text/plain)
2013-09-04 06:56 EDT, Giles Anderson
no flags Details

  None (edit)
Description Giles Anderson 2013-09-04 06:56:11 EDT
Description of problem:
Ran 'hal-blackberry', from gnome-terminal, without parametres.

Version-Release number of selected component:
barry-0.18.3-3.fc18

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/hal-blackberry
executable:     /usr/bin/hal-blackberry
kernel:         3.10.10-100.fc18.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

Traceback (most recent call last):
  File "/usr/bin/hal-blackberry", line 42, in <module>
    h = HalBlackberry()
  File "/usr/bin/hal-blackberry", line 10, in __init__
    self._serv   = self._dbus.get_object( 'org.freedesktop.Hal', '/org/freedesktop/Hal/Manager' )
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7fc73230c350>
args: ('org.freedesktop.Hal', 0)
object_path: '/org/freedesktop/DBus'
signature: 'su'
bus_name: 'org.freedesktop.DBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.freedesktop.DBus'
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>
method: 'StartServiceByName'
Comment 1 Giles Anderson 2013-09-04 06:56:15 EDT
Created attachment 793600 [details]
File: backtrace
Comment 2 Giles Anderson 2013-09-04 06:56:18 EDT
Created attachment 793601 [details]
File: environ
Comment 3 Fedora End Of Life 2013-12-21 09:33:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:21:36 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.